package at.fos.ermodel.gui;

public interface U2 {
    boolean getCreateColumn();

    void setCreateColumn(boolean paramBoolean);

    String getColumnPostfix();

    void setColumnPostfix(String paramString);

    String getColumnName();

    void setColumnName(String paramString);

    String getMVRelationName();

    void setMVRelationName(String paramString);

    String getMVRelationNamePraefix();

    void setMVRelationNamePraefix(String paramString);

    String getDatatype();

    void setDatatype(String paramString);

    boolean isKey();

    void setIsKey(boolean paramBoolean);

    boolean isAutoincrement();

    void setIsAutoincrement(boolean paramBoolean);

    long getAutoincrementStartAt();

    void setAutoincrementStartAt(long paramLong);

    boolean isUnique();

    void setIsUnique(boolean paramBoolean);

    boolean isNullable();

    void setIsNullable(boolean paramBoolean);

    String getDataGenerationType();

    void setDataGenerationType(String paramString);

    String getPar1();

    void setPar1(String paramString);

    String getPar2();

    void setPar2(String paramString);

    String getPar1_label();

    void setPar1_label(String paramString);

    String getPar2_label();

    void setPar2_label(String paramString);
}


